# Version 1

<mark style="color:green;">`POST`</mark> `http://okaydbdemo.innov8tif.com/ekyc/okaydb/api/my/v1`

#### Request Body

| Name     | Type   | Description                                                                                                                                 |
| -------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------- |
| name     | string | Name as shown on ID card. Used for name matching. If name is not given, name matching will not be done and return empty result in response. |
| icNumber | string | ID card number as shown on ID card. Used for ic number matching.                                                                            |
| apiKey   | string | To be assigned by Innov8tif                                                                                                                 |

{% tabs %}
{% tab title="200 " %}

```
{
    "status": "success",
    "icNumberMatch": true,
    "nameMatch": true
}
```

{% endtab %}
{% endtabs %}

### Input Example

{% code title="mykad" %}

```
{
    "apiKey": "apikey",
    "icNumber": "900119080123",
    "name": "Tan Juan"
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-old.innov8tif.com/okaydb/malaysia/information-check/version-1-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
